﻿@model ASP.NET_MVC5_WebShopExample.Models.Product
@using ASP.NET_MVC5_WebShopExample.Models.ViewModels

@{
    ViewBag.Title = "Details";
    SpecificationsTableViewModel specificationTableViewModel = new SpecificationsTableViewModel()
    {
        Product = Model,
        IsShowCaption = true,
        IsShowFooter = false,
        IsShowActionButtons = false
    };
}

<h2>Details</h2>

<div>
    <h4>Product</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.Category.Name)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Category.Name)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.CreatedByUser.Email)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.CreatedByUser.Email)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Name)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Name)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Description)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Description)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Cost)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Cost)
        </dd>
    </dl>
    @Html.Partial("_SpecificationsTable", specificationTableViewModel)
</div>
<p>
    @Html.ActionLink("Edit", "Edit", new { id = Model.ProductId }) |
    @Html.ActionLink("Back to List", "Index")
</p>
